# Katabatic - Routing Toolbox

List of all members | Public Member Functions
GCell::Key Class Reference

GCell Key - Density Cache. More...

## Public Member Functions
| Key (GCell *, unsigned int depth)
float | getDensity () const
GCell * | getGCell () const
void | update (unsigned int depth)

## Detailed Description

GCell Key - Density Cache.

This class is used to create a GCell internal cache on density, mainly to be used by GCellDensitySet.

## Constructor & Destructor Documentation

## ◆ Key()

Key | ( | GCell * | owner,
|  | unsigned int | depth
| ) |  |
| inline

Parameters

  owner | The GCell owning the key.
  depth | The layer `depth` of the density to use.

Key constructor, with an initial value for the cached density.

## Member Function Documentation

## ◆ getDensity()

float getDensity | ( |  | ) | const
| inline

Returns: The value of the cached density.

## ◆ getGCell()

GCell * getGCell | ( |  | ) | const
| inline

Returns: The owning GCell.

## ◆ update()

void update | ( | unsigned int | depth | ) |
| inline

Returns: Update the density

Referenced by GCell::updateKey().

The documentation for this class was generated from the following files:

- GCell.h
- GCell.dox

Generated by doxygen 1.8.14 on Mon Feb 3 2020 | Return to top of page

Katabatic - Routing Toolbox | Copyright © 2008-2016 UPMC. All rights reserved